org.eclipse.rdf4j.sail.federation.optimizers

## Class PrepareOwnedTupleExpr

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor<RepositoryException>
  - - org.eclipse.rdf4j.sail.federation.optimizers.PrepareOwnedTupleExpr

- All Implemented Interfaces:
    QueryOptimizer, QueryModelVisitor<RepositoryException>

      public class PrepareOwnedTupleExpr
      extends AbstractQueryModelVisitor<RepositoryException>
      implements QueryOptimizer

  Remove redundant `OwnedTupleExpr`.
  Author:
    James Leigh

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrepareOwnedTupleExpr()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `meet(Distinct node)`
    `void` | `meet(Join node)`
    `void` | `meet(LeftJoin node)`
    `void` | `meet(Projection node)`
    `void` | `meet(Reduced node)`
    `void` | `meet(StatementPattern node)`
    `void` | `meetMultiJoin(NaryJoin node)`
    `protected void` | `meetNode(QueryModelNode node)` Method called by all of the other `meet` methods that are not overridden in subclasses.
    `void` | `meetOther(QueryModelNode node)`
    `void` | `optimize(TupleExpr query, Dataset dataset, BindingSet bindings)`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.helpers.AbstractQueryModelVisitor

      `meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meet, meetBinaryTupleOperator, meetBinaryValueOperator, meetCompareSubQueryValueOperator, meetNAryValueOperator, meetSubQueryValueOperator, meetUnaryTupleOperator, meetUnaryValueOperator, meetUpdateExpr`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PrepareOwnedTupleExpr

          public PrepareOwnedTupleExpr()

  - ### Method Detail

    - #### optimize

          public void optimize(TupleExpr query,
                               Dataset dataset,
                               BindingSet bindings)

      Specified by:
        `optimize` in interface `QueryOptimizer`

    - #### meetOther

          public void meetOther(QueryModelNode node)
                         throws RepositoryException

      Specified by:
        `meetOther` in interface `QueryModelVisitor<RepositoryException>`
      Overrides:
        `meetOther` in class `AbstractQueryModelVisitor<RepositoryException>`
      Throws:
        `RepositoryException`

    - #### meetNode

          protected void meetNode(QueryModelNode node)
                           throws RepositoryException

      Description copied from class: `AbstractQueryModelVisitor`
      Method called by all of the other `meet` methods that are not overridden in subclasses. This method can be overridden in subclasses to define default behaviour when visiting nodes. The default behaviour of this method is to visit the node's children.
      Overrides:
        `meetNode` in class `AbstractQueryModelVisitor<RepositoryException>`
      Parameters:
        `node` - The node that is being visited.
      Throws:
        `RepositoryException`

    - #### meet

          public void meet(Distinct node)
                    throws RepositoryException

      Specified by:
        `meet` in interface `QueryModelVisitor<RepositoryException>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<RepositoryException>`
      Throws:
        `RepositoryException`

    - #### meet

          public void meet(Reduced node)
                    throws RepositoryException

      Specified by:
        `meet` in interface `QueryModelVisitor<RepositoryException>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<RepositoryException>`
      Throws:
        `RepositoryException`

    - #### meet

          public void meet(Projection node)
                    throws RepositoryException

      Specified by:
        `meet` in interface `QueryModelVisitor<RepositoryException>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<RepositoryException>`
      Throws:
        `RepositoryException`

    - #### meet

          public void meet(LeftJoin node)
                    throws RepositoryException

      Specified by:
        `meet` in interface `QueryModelVisitor<RepositoryException>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<RepositoryException>`
      Throws:
        `RepositoryException`

    - #### meetMultiJoin

          public void meetMultiJoin(NaryJoin node)
                             throws RepositoryException

      Throws:
        `RepositoryException`

    - #### meet

          public void meet(Join node)
                    throws RepositoryException

      Specified by:
        `meet` in interface `QueryModelVisitor<RepositoryException>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<RepositoryException>`
      Throws:
        `RepositoryException`

    - #### meet

          public void meet(StatementPattern node)
                    throws RepositoryException

      Specified by:
        `meet` in interface `QueryModelVisitor<RepositoryException>`
      Overrides:
        `meet` in class `AbstractQueryModelVisitor<RepositoryException>`
      Throws:
        `RepositoryException`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.